Subject: Re: [PATCH 1/2] qemu platform, v2

From: Segher Boessenkool <[email-masked]>
Date: Fri, 28 Sep 2007 18:53:28 +0200

>> I'd be following this more closely if compiling a device tree didn't 
>> currently
>> require an external utility (dtc or some such) that doesn't come with 
>> the
>> Linux kernel.  No other target platform I've built kernels for 
>> requires such
>> an environmental dependency.
>
> No?  You haven't built kernels for other platforms that have external
> dependencies such as perl, gcc, make, binutils, etc.? :)

Two of the supported Linux archs cannot be built with a mainline
compiler, even!

And I have to install GNU sed/awk to get builds to work, too.

OTOH, it would be nice if we didn't need DTC -- it itself doesn't
build out-of-the-box on all systems, either ;-)

>>  (This is a problem both for hardwiring the
>> device tree into the kernel and for building a new boot rom from the 
>> linux
>> kernel's ppc boot wrapper that would contain such a device tree to 
>> feed to
>> the kernel.)
>
> It's only really been a problem for ps3 so far, since the embedded
> guys don't seem to have any difficulty with installing dtc.  We are
> looking at what to do for ps3 and prep, and the answer may well
> involve bundling dtc in the kernel source (it's not too big, around
> 3400 lines).

If only a few platforms have this problem, we could instead include
their .dtb files in the kernel source tree.

Segher